﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.01
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Dim mySQL As SQL
	Dim myCUR As Cursor
	Dim query As String
	
	Dim DBName As String : DBName = "Ceramic_App.db"
	Dim DBDir As String : DBDir = File.DirInternal
	
	Dim List_roomnames As List
	Dim db_roomname As String
End Sub

Sub SaveDB()
'	File.Delete(DBDir, DBName)
	If File.Exists(DBDir, DBName) = False Then
		File.Copy(File.DirAssets, DBName, DBDir, DBName)
	End If
End Sub

Sub ConnectionDB()
	mySQL.Initialize(DBDir,DBName,True)
End Sub

Sub retrieveDB()
	List_roomnames.Initialize()
	myCUR = mySQL.ExecQuery("SELECT room_name FROM room_names")
	For i = 0 To myCUR.RowCount-1
		myCUR.Position=i
		List_roomnames.Add(myCUR.GetString("room_name"))
	Next
	myCUR.Close
	CallSubDelayed(Main,"add_list_item")
End Sub

Sub Service_Create
	SaveDB
	ConnectionDB
	retrieveDB
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground 'Starter service can start in the foreground state in some edge cases.
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
